module Parsers.Utils.Attoparsec.Text
  ( module Parsers.Utils.Attoparsec.Text
  , module Data.Attoparsec.Text
  ) where

import Data.Attoparsec.Combinator
import Data.Attoparsec.Text
import Data.Char (Char)
import Data.Function ((.))
import Data.Text (Text)
import qualified Data.Attoparsec.Text as AP.Text

token :: Text -> AP.Text.Parser Text
token = try . AP.Text.string

oneOf :: [Char] -> AP.Text.Parser Char
oneOf = AP.Text.satisfy . AP.Text.inClass

noneOf :: [Char] -> AP.Text.Parser Char
noneOf = AP.Text.satisfy . AP.Text.notInClass
